javax.persistence.metamodel

## Interface BasicType<X>

Type Parameters:
  `X` - The type of the represented basic type

All Superinterfaces:
  Type<X>

    public interface BasicType<X>
    extends Type<X>

Instances of the type `BasicType` represent basic types (including temporal and enumerated types).

Since:
  Java Persistence 2.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type

`Type.PersistenceType`

### Method Summary

### Methods inherited from interface javax.persistence.metamodel.Type

`getJavaType, getPersistenceType`